Bug 1671169 - rgw: Fix log level of gc_iterate_entries
Summary: rgw: Fix log level of gc_iterate_entries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: z1
: 3.2
Assignee: Matt Benjamin (redhat)
QA Contact: ceph-qe-bugs
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1629656
TreeView+ depends on / blocked
 
Reported: 2019-01-30 23:52 UTC by Vikhyat Umrao
Modified: 2019-11-12 13:25 UTC (History)
9 users (show)

Fixed In Version: RHEL: ceph-12.2.8-64.el7cp Ubuntu: ceph_12.2.8-49redhat1
Doc Type: Bug Fix
Doc Text:
.The log level for `gc_iterate_entries` has been changed to 10 Previously, the log level for the `gc_iterate_entries` log message was set to 0. As a consequence, OSD log files included unnecessary information and could grow significantly. With this update, the log level for `gc_iterate_entries` has been changed to 10.
Clone Of:
Environment:
Last Closed: 2019-03-07 15:51:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0475 None None None 2019-03-07 15:51:38 UTC
Github ceph ceph pull 23665 'None' 'closed' 'luminous: rgw: Fix log level of gc_iterate_entries' 2019-11-12 13:20:43 UTC
Ceph Project Bug Tracker 26922 None None None 2019-01-30 23:53:00 UTC

Description Vikhyat Umrao 2019-01-30 23:52:34 UTC
Description of problem:
rgw: Fix log level of gc_iterate_entries

Version-Release number of selected component (if applicable):
RHCS 3.2

Fixed in luminous upstream 12.2.9. We need to pull this in 3.2.z1.

http://tracker.ceph.com/issues/26922
https://github.com/ceph/ceph/pull/23665

Comment 14 errata-xmlrpc 2019-03-07 15:51:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0475


Note You need to log in before you can comment on or make changes to this bug.